Bug 54671 - audio/abcde-2.1.4 system config file path fix
Summary: audio/abcde-2.1.4 system config file path fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-20 20:00 UTC by Bjoern A. Zeeb
Modified: 2003-08-07 10:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.11 KB, patch)
2003-07-20 20:00 UTC, Bjoern A. Zeeb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb 2003-07-20 20:00:31 UTC
	abcde 2.1.4 port has wrong builtin defaults to system config file

Fix: attached patch-ab fixes this, please add

	o 1 new file: files/patch-ab

--- patch-ab ---
Comment 1 Sergey A. Osokin freebsd_committer 2003-07-21 12:15:30 UTC
On Sun, Jul 20, 2003 at 06:45:44PM +0000, Bjoern A. Zeeb wrote:
> 	attached patch-ab fixes this, please add
> 
> 	o 1 new file: files/patch-ab
> 
> --- patch-ab ---
> --- abcde.1.orig	Sun Jul 20 18:37:47 2003
> +++ abcde.1	Sun Jul 20 18:38:31 2003
> @@ -46,7 +46,7 @@
>  .TP
>  .B \-c [filename]
>  Specifies an additional configuration file to parse. Configuration options
> -in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
> +in this file override those in /usr/local/etc/abcde.conf or $HOME/.abcde.conf.
                               ^^^^^^^^^^^^^^^^^^^ not right.
Use %%PREFIX/etc/bla-bla-bla instead of hardcoded path.
>  .TP
>  .B \-C [discid]
>  Allows you to resume a session for
> @@ -109,7 +109,7 @@
>  This can be modified using the OUTPUTFORMAT and VAOUTPUTFORMAT
>  variables in your abcde.conf.
>  .SH CONFIGURATION
> -abcde sources two configuration files on startup - /etc/abcde.conf and
> +abcde sources two configuration files on startup - /usr/local/etc/abcde.conf and
                                                   ^^^^^^^^^^
>  $HOME/.abcde.conf, in that order. 
>  .TP
>  The configuration variables have to be set as follows:
> --- abcde.orig	Sun Jul 20 18:37:21 2003
> +++ abcde	Sun Jul 20 18:38:14 2003
> @@ -1239,8 +1239,8 @@
>  fi
>  
>  # Load system defaults
> -if [ -r /etc/abcde.conf ]; then
> -	. /etc/abcde.conf
> +if [ -r /usr/local/etc/abcde.conf ]; then
> +	. /usr/local/etc/abcde.conf
>  fi
>  # Load user preference defaults
>  if [ -r $HOME/.abcde.conf ]; then
> --- /patch-ab ---

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 2 Bjoern A. Zeeb 2003-07-21 17:15:25 UTC
On Mon, 21 Jul 2003, Sergey A. Osokin wrote:

Hi,

> > -in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
> > +in this file override those in /usr/local/etc/abcde.conf or $HOME/.abcde.conf.
>                                ^^^^^^^^^^^^^^^^^^^ not right.
> Use %%PREFIX/etc/bla-bla-bla instead of hardcoded path.

this brings us to where I had been with abcde-2.1.2. Most likely those
changes had been missed and not - what I first thought - dropped so do
it that way again:

o one new file: files/patch-ab

--- patch for Makfile ---
--- Makefile.orig	Mon Jul 21 16:09:36 2003
+++ Makefile	Mon Jul 21 16:10:12 2003
@@ -67,6 +67,14 @@
 	@${ECHO_MSG} ""
 .endif

+post-patch:
+	@${CP} ${WRKSRC}/abcde.1 ${WRKSRC}/abcde.1.orig
+	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
+		${WRKSRC}/abcde.1.orig > ${WRKSRC}/abcde.1
+	@${CP} ${WRKSRC}/abcde ${WRKSRC}/abcde.orig
+	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
+		${WRKSRC}/abcde.orig > ${WRKSRC}/abcde
+
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/abcde ${PREFIX}/bin
 	${INSTALL_SCRIPT} ${WRKSRC}/cddb-tool ${PREFIX}/bin
--- /Makefile ---


--- files/patch-ab ---
--- abcde.1.orig	Sun Jul 20 18:37:47 2003
+++ abcde.1	Sun Jul 20 18:38:31 2003
@@ -46,7 +46,7 @@
 .TP
 .B \-c [filename]
 Specifies an additional configuration file to parse. Configuration options
-in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
+in this file override those in @PKG_SYSCONFDIR@/abcde.conf or $HOME/.abcde.conf.
 .TP
 .B \-C [discid]
 Allows you to resume a session for
@@ -109,7 +109,7 @@
 This can be modified using the OUTPUTFORMAT and VAOUTPUTFORMAT
 variables in your abcde.conf.
 .SH CONFIGURATION
-abcde sources two configuration files on startup - /etc/abcde.conf and
+abcde sources two configuration files on startup - @PKG_SYSCONFDIR@/abcde.conf and
 $HOME/.abcde.conf, in that order.
 .TP
 The configuration variables have to be set as follows:
--- abcde.orig	Sun Jul 20 18:37:21 2003
+++ abcde	Sun Jul 20 18:38:14 2003
@@ -1239,8 +1239,8 @@
 fi

 # Load system defaults
-if [ -r /etc/abcde.conf ]; then
-	. /etc/abcde.conf
+if [ -r @PKG_SYSCONFDIR@/abcde.conf ]; then
+	. @PKG_SYSCONFDIR@/abcde.conf
 fi
 # Load user preference defaults
 if [ -r $HOME/.abcde.conf ]; then
--- /files/patch-ab ---

-- 
Bjoern A. Zeeb				bzeeb at Zabbadoz dot NeT
56 69 73 69 74				http://www.zabbadoz.net/
Comment 3 Munish 2003-07-21 19:40:55 UTC
On 2003-07-21 16:15 +0000, Bjoern A. Zeeb wrote:
> 
> this brings us to where I had been with abcde-2.1.2. Most likely those
> changes had been missed and not - what I first thought - dropped so do
> it that way again:

Give me a day or so to take a look at this and talk to the author. I'd
do it sooner, but I'm in the middle of a deployment run that's lasted 36
hours straight so far, so I hope you understand :)

-- 
Munish Chopra
Comment 4 Munish 2003-07-23 03:05:12 UTC
On 2003-07-21 16:15 +0000, Bjoern A. Zeeb wrote:
> On Mon, 21 Jul 2003, Sergey A. Osokin wrote:
> 
> Hi,
> 
> > > -in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
> > > +in this file override those in /usr/local/etc/abcde.conf or $HOME/.abcde.conf.
> >                                ^^^^^^^^^^^^^^^^^^^ not right.
> > Use %%PREFIX/etc/bla-bla-bla instead of hardcoded path.
> 
> this brings us to where I had been with abcde-2.1.2. Most likely those
> changes had been missed and not - what I first thought - dropped so do
> it that way again:
> 
> o one new file: files/patch-ab
> 
> --- patch for Makfile ---
> --- Makefile.orig	Mon Jul 21 16:09:36 2003
> +++ Makefile	Mon Jul 21 16:10:12 2003
> @@ -67,6 +67,14 @@
>  	@${ECHO_MSG} ""
>  .endif
> 
> +post-patch:
> +	@${CP} ${WRKSRC}/abcde.1 ${WRKSRC}/abcde.1.orig
> +	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
> +		${WRKSRC}/abcde.1.orig > ${WRKSRC}/abcde.1
> +	@${CP} ${WRKSRC}/abcde ${WRKSRC}/abcde.orig
> +	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
> +		${WRKSRC}/abcde.orig > ${WRKSRC}/abcde
> +

[...]

I was assuming %%PREFIX like Sergey was, but if what you're doing is The
Right Thing(TM), I've got no problem with it. I'll bug the author for an
upstream change later, if at all. I'd have to see how it could work
through some Makefile magic I suppose.

Thanks for the patch.

-- 
Munish Chopra
Comment 5 Munish 2003-08-01 23:06:06 UTC
On 2003-07-21 16:15 +0000, Bjoern A. Zeeb wrote:
> On Mon, 21 Jul 2003, Sergey A. Osokin wrote:
> 
> Hi,
> 
> > > -in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
> > > +in this file override those in /usr/local/etc/abcde.conf or $HOME/.abcde.conf.
> >                                ^^^^^^^^^^^^^^^^^^^ not right.
> > Use %%PREFIX/etc/bla-bla-bla instead of hardcoded path.
> 
> this brings us to where I had been with abcde-2.1.2. Most likely those
> changes had been missed and not - what I first thought - dropped so do
> it that way again:
> 
> o one new file: files/patch-ab
> 
> --- patch for Makfile ---
> --- Makefile.orig	Mon Jul 21 16:09:36 2003
> +++ Makefile	Mon Jul 21 16:10:12 2003
> @@ -67,6 +67,14 @@
>  	@${ECHO_MSG} ""
>  .endif
> 
> +post-patch:
> +	@${CP} ${WRKSRC}/abcde.1 ${WRKSRC}/abcde.1.orig
> +	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
> +		${WRKSRC}/abcde.1.orig > ${WRKSRC}/abcde.1
> +	@${CP} ${WRKSRC}/abcde ${WRKSRC}/abcde.orig
> +	@${SED} -e 's#@PKG_SYSCONFDIR@#${PREFIX}/etc#g' \
> +		${WRKSRC}/abcde.orig > ${WRKSRC}/abcde
> +
>  do-install:
>  	${INSTALL_SCRIPT} ${WRKSRC}/abcde ${PREFIX}/bin
>  	${INSTALL_SCRIPT} ${WRKSRC}/cddb-tool ${PREFIX}/bin
> --- /Makefile ---
> 
> 
> --- files/patch-ab ---
> --- abcde.1.orig	Sun Jul 20 18:37:47 2003
> +++ abcde.1	Sun Jul 20 18:38:31 2003
> @@ -46,7 +46,7 @@
>  .TP
>  .B \-c [filename]
>  Specifies an additional configuration file to parse. Configuration options
> -in this file override those in /etc/abcde.conf or $HOME/.abcde.conf.
> +in this file override those in @PKG_SYSCONFDIR@/abcde.conf or $HOME/.abcde.conf.
>  .TP
>  .B \-C [discid]
>  Allows you to resume a session for
> @@ -109,7 +109,7 @@
>  This can be modified using the OUTPUTFORMAT and VAOUTPUTFORMAT
>  variables in your abcde.conf.
>  .SH CONFIGURATION
> -abcde sources two configuration files on startup - /etc/abcde.conf and
> +abcde sources two configuration files on startup - @PKG_SYSCONFDIR@/abcde.conf and
>  $HOME/.abcde.conf, in that order.
>  .TP
>  The configuration variables have to be set as follows:
> --- abcde.orig	Sun Jul 20 18:37:21 2003
> +++ abcde	Sun Jul 20 18:38:14 2003
> @@ -1239,8 +1239,8 @@
>  fi
> 
>  # Load system defaults
> -if [ -r /etc/abcde.conf ]; then
> -	. /etc/abcde.conf
> +if [ -r @PKG_SYSCONFDIR@/abcde.conf ]; then
> +	. @PKG_SYSCONFDIR@/abcde.conf
>  fi
>  # Load user preference defaults
>  if [ -r $HOME/.abcde.conf ]; then
> --- /files/patch-ab ---

Sergey,

Are you going to be able to commit this soon?

Thanks.

-- 
Munish Chopra
Comment 6 Sergey A. Osokin freebsd_committer 2003-08-07 10:30:15 UTC
State Changed
From-To: open->closed

Problem resolved, thanks from report!